Subject: Re: bug#53729: 29.0.50; Tamil text not shaped in modeline

From: Eli Zaretskii <[email-masked]>
Date: Wed, 02 Feb 2022 20:54:01 +0200

> From: Visuwesh <[email-masked]>
> Date: Wed, 02 Feb 2022 22:25:48 +0530
> 
> Tamil text is not shaped properly in the modeline.  Please view the
> attached file "Noto_Serif_modeline.jpg" to see what I mean.  I set
> "tamil" script to use "Noto Serif Tamil" in the default fontset like so,
> 
>     (set-fontset-font "fontset-default" 'tamil '("Noto Serif Tamil" . "iso10646-1"))
> 
> Changing the font to "Lohit Tamil" [1] does not fix the shaping issue so
> Noto Serif Tamil is not the problem (See file
> "Lohit_Tamil_modeline.png").
> 
> As shown in "Noto_Serif_Expected.png", the text is shaped as I would
> expect, in the minibuffer.

on the mode line, the buffer is shown in bold, so perhaps there's a
problem with the bold variant of the Noto Serif Tamil font?  If you
type the same text in a buffer, but give it the 'bold' face, do you
see the same problem with buffer text as on the mode line?